/*
	'C' language interface to Infixserver
	(c) 2008 Iceni Technology Ltd.
*/
#ifndef _ICE_DEFS
	typedef int ICError;
#	define kNoError	0
#	define u8 unsigned char
	typedef unsigned short ichar;		/* Iceni char */
#endif

#ifdef __cplusplus
extern "C" 
{
#endif

/* starts the engine, loads the configuration file, validates the users key, 
	caller must free the returned results buffer using isResultsDestroy */
void* isInterfaceCreate(char* configFile, char* keyFName, char** results);

/* Stop the engine */
void isInterfaceDestroy(void* vstate);

/* runs xml commands from a buffer, caller must free the returned results 
	buffer using isResultsDestroy */
ICError isRunXML(void* vstate, char* xmlData, char** results);

/* runs xml commands from a file, caller must free the returned results buffer
   using isResultsDestroy */
ICError isRunXMLFile(void* vstate, char* fname, char** results);

/* destroys the results buffer */
void isResultsDestroy(char* results);

#ifdef __cplusplus
};
#endif